%global _enable_debug_package 0
%global debug_package %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}

Name:		quakespasm
Version:	0.93.2
Release:	1%{?dist}
Summary:	The Quakespasm engine for iD software's Quake
Group:		Games
License:	GPLv2+
URL:		http://quakespasm.sourceforge.net/index.htm
Source0:	http://sourceforge.net/projects/quakespasm/files/Source/quakespasm-%{version}.tgz
Source1:	%{name}.desktop
BuildRequires:	desktop-file-utils
BuildRequires:	gcc
BuildRequires:	libvorbis-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	SDL2-devel

%description
An engine for iD software's Quake.

Worlds; tortured, scale massive and with pestilence.

The road unbroken. This vehicle a bastille of C and OpenGL. Weatherd and beaten
by Carmack, Fitzgibbons, and journeymen. Coaxed with SDL for Unix.

%prep
%setup -q -c -n quakespasm

%build
cd %{name}-%{version}/Quake
%make_build DO_USERDIRS=1 USE_SDL2=1 USE_CODEC_MP3=0

%install
#Install the icon
%{__install} -D -p -m 644 %{name}-%{version}/Misc/QuakeSpasm_512.png \
	%{buildroot}%{_datadir}/icons/hicolor/512x512/apps/%{name}.png

cd %{name}-%{version}/Quake
mkdir -p %{buildroot}%{_bindir}
cp %{name} %{buildroot}%{_bindir}

#Install the desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files
%license %{name}-%{version}/LICENSE.txt
%{_bindir}/%{name}
%{_datarootdir}/icons/hicolor/512x512/apps/%{name}.png
%{_datarootdir}/applications/%{name}.desktop

%changelog
* Fri Jan 17 2020 Brandon Nielsen <nielsenb@jetfuse.net> 0.93.2-1
- Update to 0.93.2
- Add dist tag to release

* Wed Oct 10 2018 Brandon Nielsen <nielsenb@jetfuse.net> 0.93.1-1
- Update to 0.93.1

* Thu Mar 29 2018 Brandon Nielsen <nielsenb@jetfuse.net> 0.93.0-2
- Specfile cleanup
- Package license file

* Fri Dec 22 2017 Brandon Nielsen <nielsenb@jetfuse.net> 0.93.0-1
- Upgrade to 0.93.0

* Thu Mar 30 2017 Brandon Nielsen <nielsenb@jetfuse.net> 0.92.1-2
- Add desktop file

* Fri Sep 23 2016 Brandon Nielsen <nielsenb@jetfuse.net> 0.92.1-1
- Upgrade to 0.92.1

* Fri Jun 24 2016 Brandon Nielsen <nielsenb@jetfuse.net> 0.91.0-1
- Upgrade to 0.91.0
- Switch to SDL2

* Thu Oct 15 2015 Brandon Nielsen <nielsenb@jetfuse.net> 0.85.9-3
- Disable building debuginfo package to fix issues building on F23.

* Thu Jul 10 2014 Brandon Nielsen <nielsenb@jetfuse.net> 0.85.9-1
- Initial specfile
